Attribute VB_Name = "modFormDesign"
Option Compare Database
Option Explicit

Public Function DisableDesignView()

On Error Resume Next

    Dim cb As CommandBar
    Dim cbCtl As CommandBarControl
    
    For Each cb In CommandBars
        If cb.type = msoBarTypePopup Then
            For Each cbCtl In cb.Controls
                If cbCtl.Caption = "&Design View" Then
                    cbCtl.enabled = False
                End If
            Next
        End If
    Next
    
    Set cb = Nothing: Set cbCtl = Nothing
    
End Function

Public Function HideDesignView()

On Error Resume Next

    Dim cb As CommandBar
    Dim cbCtl As CommandBarControl
    
    For Each cb In CommandBars
        If cb.type = msoBarTypePopup Then
            For Each cbCtl In cb.Controls
                If cbCtl.Caption = "&Design View" Then
                    cbCtl.visible = False
                End If
            Next
        End If
    Next
    
    Set cb = Nothing: Set cbCtl = Nothing
    
End Function

Public Function RestoreDesignView()

On Error Resume Next

    Dim cb As CommandBar
    Dim cbCtl As CommandBarControl
    
    For Each cb In CommandBars
        If cb.type = msoBarTypePopup Then
            For Each cbCtl In cb.Controls
                If cbCtl.Caption = "&Design View" Then
                    cbCtl.enabled = True
                    cbCtl.visible = True
                End If
            Next
        End If
    Next
    
    Set cb = Nothing: Set cbCtl = Nothing
    
End Function
